
%define __kde4_alternate_placement 1

%add_findpackage_path %__kde4_bindir
%add_findreq_skiplist %__kde4_bindir/kopete_*.sh
%add_findreq_skiplist %__kde4_bindir/winpopup-*.sh
%add_findreq_skiplist %_K4apps/kopete_skype/call_*

%def_disable knewsticker
%def_enable kopete_irc
%def_disable kopete_telepathy

%define rname kdenetwork
%define major 4
%define minor 3
%define bugfix 4
Name: kde4network
Version: %major.%minor.%bugfix
Release: alt0.M51.1
Packager: Sergey V Turchin <zerg at altlinux dot org>

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Network Applications
License: GPL
Url: http://www.kde.org

Requires: %name-filesharing = %version-%release
Requires: %name-kdnssd = %version-%release
%if_enabled knewsticker
Requires: %name-knewsticker = %version-%release
%endif
Requires: %name-kget = %version-%release
Requires: %name-kopete = %version-%release
Requires: %name-kppp = %version-%release
Requires: %name-krdc = %version-%release
Requires: %name-krfb = %version-%release
Requires: libkget4 = %version-%release
Requires: libkopete4 = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Source1: pam-kde4-kppp
Source2: libbtcore.tar

# ALT
Patch11: kdenetwork-4.1.3-alt-kopete-fix-compile.patch
Patch12: kdenetwork-4.1.96-alt-find-decibel.patch
Patch13: kdenetwork-4.2.96-alt-zeroconf-autonet.patch
Patch14: kdenetwork-4.3.0-alt-def-kppp.patch
Patch15: kdenetwork-4.3.0-alt-kppp-var-lock.patch
Patch16: kdenetwork-4.3.0-alt-kppp-add-devices.patch
Patch17: kdenetwork-4.3.0-alt-kppp-search.patch
Patch18: kdenetwork-4.3.0-alt-kppp-select-modem.patch
Patch19: kdenetwork-4.3.0-alt-kppp-resolv-mods.patch

BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ libqca2-devel libgmp-devel
BuildRequires: libvncserver-devel
%if_enabled kopete_telepathy
BuildRequires: ortp-devel >= 0.13 libtapioca-qt-devel libtelepathy-qt-devel
%endif
BuildRequires: libsqlite3-devel libidn-devel boost-devel libopenslp-devel
BuildRequires: libqimageblitz-devel libxml2-devel libxslt-devel
BuildRequires: libjpeg-devel libavahi-qt4-devel bzlib-devel libldap-devel
BuildRequires: libotr-devel libmeanwhile-devel libgadu-devel libv4l-devel libmsn-devel
BuildRequires: rpm-macros-browser-plugins
BuildRequires: kde4libs-devel >= %version kde4pimlibs-devel >= %version
BuildRequires: kde4base-workspace-devel >= %version kde4base-devel >= %version

%description
Networking applications for the K Desktop Environment.

- kppp: Dual-up tool
- kopete: instant messenger client
%if_enabled knewsticker
- knewsticker: RDF newsticker applet
%endif
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers


%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
#Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package filesharing
Summary: %name filesharing
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description filesharing
%name filesharing.

%package kdnssd
Summary: %name kdnssd
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kdnssd
%name kdnssd.

%package knewsticker
Summary: %name knewsticker
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description knewsticker
%name knewsticker.

%package kget
Summary: %name kget
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kget
%name kget.

%package kopete
Summary: Instant Messaging client
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
Requires: qca2-ossl
%if_enabled kopete_telepathy
Requires: %{get_dep libtapioca-qt}
%endif
%description kopete
Kopete is an Instant Messaging client
designed to be modular and plugin based.

%package -n libkget4
Summary: %name library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkget4
%name library

%package -n libkopete4
Summary: %name libraries
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkopete4
%name libraries

%package -n libkrdccore4
Summary: %name libraries
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkrdccore4
%name library

%package kppp
Summary: %name kppp
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kppp
%name kppp.

%package krdc
Summary: %name krdc
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description krdc
%name krdc.

%package krfb
Summary: %name krfb
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description krfb
%name krfb.

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.


%prep
%setup -q -n %rname-%version -a2
mv libbtcore kget/transfer-plugins/bittorrent/
#%patch11 -p1
#%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%K4cmake \
    -DWITH_irc:BOOL=%{?_enable_kopete_irc:ON}%{!?_enable_kopete_irc:OFF} \
    -DWITH_msn:BOOL=ON \
    -DMOZPLUGIN_INSTALL_DIR:PATH=%browser_plugins_path \
%if_enabled kopete_telepathy
    -DWITH_telepathy:BOOL=ON \
%endif
    -DLIBGADU_FOUND:BOOL=ON
#    -DLIBGADU_INCLUDE_DIRS=%_includedir \
#    -DLIBGADU_LIBRARIES=%_libdir/libgadu.so
#    -DQCA2_INCLUDE_DIR=%_includedir/qt4
#    -DQCA2_LIBRARIES=%_qt4dir/lib \
%K4make

%install
%K4install

install -d -m 0755 %buildroot%_sysconfdir/rc.d/init.d

install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp-kde4


mkdir -p %buildroot/etc/control.d/facilities/
cat >%buildroot/etc/control.d/facilities/kppp-kde4 <<__EOF__
#!/bin/sh
. /etc/control.d/functions
%ifdef __kde4_alternate_placement
BINARY=%__kde4_bindir/kppp
%else
BINARY=%_K4bindir/kppp
%endif
new_summary "KPPP dial-up tool"
new_fmode public 4711 root root
new_fmode netadmin 4710 root netadmin
new_fmode restricted 700 root root
new_help public "Any user can use KPPP"
new_help netadmin "Only \"netadmin\" group members can use KPPP"
new_help restricted "Only root can use KPPP"
control_fmode "\$BINARY" "\$*" || exit 1
__EOF__
chmod 0755 %buildroot/etc/control.d/facilities/kppp-kde4

%pre kppp
/usr/sbin/groupadd -r -f netadmin >/dev/null 2>&1
[ $1 -eq 1 ] || /usr/sbin/control-dump kppp-kde4
%post kppp
[ $1 -eq 1 ] || /usr/sbin/control-restore kppp-kde4




%files
%files common
%doc README
%dir %_K4srv/kconfiguredialog/

%files core
%_K4iconsdir/oxygen/*/*/*.*
%__kde4_iconsdir/hicolor/*/*/*.*

%files filesharing
%_K4lib/fileshare_propsdlgplugin.so
%_K4lib/kcm_fileshare.so
%_K4lib/kcm_kcmsambaconf.so
%_K4srv/fileshare.desktop
%_K4srv/fileshare_propsdlgplugin.desktop
%_K4srv/kcmsambaconf.desktop

%files kdnssd
%_K4apps/remoteview/
#%_K4apps/zeroconf/
%_K4lib/kded_dnssdwatcher.so
%_K4lib/kio_zeroconf.so
%_K4srv/kded/dnssdwatcher.desktop
%_K4srv/zeroconf.protocol

%if_enabled knewsticker
%files knewsticker
%_K4lib/plasma_applet_knewsticker.so
%_K4srv/plasma-knewsticker-default.desktop
%__kde4_doc/*/knewsticker
%endif

%files kget
%__kde4_bindir/kget
%_K4apps/kget/
%_K4lib/kget_*
%_K4lib/khtml_kget.so
%_K4lib/kcm_kget_bittorrentfactory.so
%_K4lib/kcm_kget_contentfetchfactory.so
%_K4lib/kcm_kget_mirrorsearchfactory.so
%_K4lib/kcm_kget_multisegkiofactory.so
%_K4lib/plasma_engine_kget.so
%_K4lib/plasma_kget_barapplet.so
%_K4lib/plasma_kget_panelbar.so
%_K4lib/plasma_kget_piechart.so
%_K4srv/plasma-engine-kget.desktop
%_K4srv/kgetbarapplet-default.desktop
%_K4srv/kgetpanelbarapplet-default.desktop
%_K4srv/kgetpiechartapplet-default.desktop
%__kde4_xdg_apps/kget.desktop
%_K4srv/ServiceMenus/kget_download.desktop
%_K4cfg/kget*
%_K4srv/kget_*
%_K4srvtyp/kget_*
%_K4apps/khtml/kpartplugins/kget_plug_in.rc
#%_K4snd/KGet*
%_K4apps/desktoptheme/default/widgets/kget.svg
%__kde4_doc/*/kget

%files kopete
%__kde4_bindir/skype-action-handler
%__kde4_bindir/kopete
%__kde4_bindir/kopete_latexconvert.sh
%__kde4_bindir/winpopup-install
%__kde4_bindir/winpopup-send
%_K4libdir/libqgroupwise.so
%_K4lib/libchattexteditpart.so
%_K4lib/kcm_kopete_*
%_K4lib/kopete_*
%browser_plugins_path/libskypebuttons.so
%_K4apps/kconf_update/kopete-*
%__kde4_xdg_apps/kopete.desktop
%_K4conf/kopeterc
%_K4cfg/historyconfig.kcfg
%_K4cfg/kopete_otr.kcfg
%_K4cfg/kopeteappearancesettings.kcfg
%_K4cfg/kopetebehaviorsettings.kcfg
%_K4cfg/kopetestatussettings.kcfg
%_K4cfg/latexconfig.kcfg
%_K4cfg/nowlisteningconfig.kcfg
%_K4cfg/webpresenceconfig.kcfg
%_K4srv/aim.protocol
%_K4srv/chatwindow.desktop
%_K4srv/emailwindow.desktop
%_K4srv/kconfiguredialog/kopete_*
%_K4srv/kopete_*
%_K4srv/callto.protocol
%_K4srv/skype.protocol
%_K4srv/tel.protocol
%_K4srv/xmpp.protocol
%if_enabled kopete_irc
%_K4srv/irc.protocol
%endif
%_K4srvtyp/kopete*
%_K4snd/Kopete_Event.ogg
%_K4snd/Kopete_Received.ogg
%_K4snd/Kopete_Sent.ogg
%_K4snd/Kopete_User_is_Online.ogg
%_K4apps/kopete/
%_K4apps/kopete_*/
%_K4apps/kopeterichtexteditpart/
%_K4cfg/urlpicpreview.kcfg
%__kde4_doc/*/kopete

%files -n libkget4
%_K4libdir/libkgetcore.so.*

%files -n libkopete4
#%_K4libdir/libgadu_kopete.so.*
%if_enabled kopete_irc
%_K4libdir/libkirc.so.*
%_K4libdir/libkirc_client.so.*
%endif
%_K4libdir/libkyahoo.so.*
%_K4libdir/libkopete_videodevice.so.*
%_K4libdir/libkopeteaddaccountwizard.so.*
%_K4libdir/libkopete.so.*
%_K4libdir/libkopeteprivacy.so.*
%_K4libdir/libkopetechatwindow_shared.so.*
#%_K4libdir/libiris_kopete.so.*
%_K4libdir/libkopete_oscar.so.*
%_K4libdir/libkopete_otr_shared.so.*
#%_K4libdir/libkopete_msn_shared.so.*
%_K4libdir/liboscar.so.*
%_K4libdir/libkopeteidentity.so.*
%_K4libdir/libkopetestatusmenu.so.*
%_K4libdir/libkopetecontactlist.so.*

%files kppp
%attr(4711, root, root) %__kde4_bindir/kppp
%config %_sysconfdir/control.d/facilities/kppp-kde4
%__kde4_bindir/kppplogview
%__kde4_xdg_apps/Kppp.desktop
%__kde4_xdg_apps/kppplogview.desktop
%_K4apps/kppp
%__kde4_doc/*/kppp
#%_sysconfdir/pam.d/kppp-kde4

%files -n libkrdccore4
%_K4libdir/libkrdccore.so.*

%files krdc
%__kde4_bindir/krdc
%_K4apps/krdc/
%__kde4_xdg_apps/krdc.desktop
%_K4cfg/krdc.kcfg
%_K4srv/krdc_*.desktop
%_K4srv/rdp.protocol
%_K4srv/vnc.protocol
%_K4srv/ServiceMenus/smb2rdc.desktop
%_K4srvtyp/krdc_plugin.desktop
%__kde4_doc/*/krdc
%_K4lib/kcm_krdc_rdpplugin.so
%_K4lib/kcm_krdc_vncplugin.so
%_K4lib/krdc_rdpplugin.so
%_K4lib/krdc_testplugin.so
%_K4lib/krdc_vncplugin.so

%files krfb
%__kde4_bindir/krfb
%_K4apps/krfb/
%__kde4_xdg_apps/krfb.desktop
%__kde4_doc/*/krfb

%files devel
%_K4link/*.so
%_K4includedir/*/
%_K4dbus_interfaces/*

%changelog
* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Dec 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.3.3-alt1.1
- Rebuilt with python 2.6

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Tue Nov 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Wed Oct 14 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt2
- fix requires (ALT#21372)

* Fri Oct 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

#- don't use old netscape plugins placement
* Tue Sep 29 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- using new netscape plugins placement

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version
- add kppp defaults
- add more devices to kppp
- kppp fix modem selection on setup
- add to kppp checking for /etc/sysconfig/network::RESOLV_MODS

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Thu Jul 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Mon Jun 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Thu May 14 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version
- fix zeroconf:/ autonet:/ integration

* Wed Apr 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Wed Mar 04 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Thu Feb 19 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt3
- remove requires to optional packages from kopete

* Mon Feb 09 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- add upstream patch to fix kopete logon

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Mon Jan 19 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- fix kppp control facility file permissions
- removed deprecated macroses from specfile

* Wed Nov 12 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- fix to build kopete telepathy

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Sat Jun 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt2
- built KGet with BitTorrent support

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version
- add patch from upstream to fix crash kopete jabber

* Thu Mar 20 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile

